# Generated by Django 5.0.2 on 2024-03-03 02:05

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Carreras',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(default='0', max_length=4)),
                ('nombre', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Departamentos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(default='0', max_length=4)),
                ('nombre', models.CharField(default='Contabilidad', max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Disponibilidad',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(default='0', max_length=4)),
                ('descripcion', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Docencias',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(default='0', max_length=4)),
                ('nombre', models.CharField(default='Steve', max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Estados',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(default='0', max_length=4)),
                ('estado', models.CharField(default='Steve', max_length=32)),
            ],
        ),
        migrations.CreateModel(
            name='Generos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(default='0', max_length=4)),
                ('genero', models.CharField(default='Masculino', max_length=32)),
            ],
        ),
        migrations.CreateModel(
            name='Grupos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(default='0', max_length=2)),
                ('grado', models.IntegerField(default=0)),
                ('grupo', models.CharField(default='0', max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Periodos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('folio', models.CharField(default='0', max_length=8)),
                ('meses', models.CharField(max_length=32)),
            ],
        ),
        migrations.CreateModel(
            name='Puestos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(default='0', max_length=4)),
                ('nombre', models.CharField(default='Admin', max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Tamanos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(default='0', max_length=4)),
                ('descripcion', models.CharField(max_length=64)),
                ('dimensiones', models.CharField(max_length=16)),
                ('precio', models.FloatField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Casilleros',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero', models.IntegerField()),
                ('disponibilidad', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.disponibilidad')),
                ('tamano', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.tamanos')),
            ],
        ),
        migrations.CreateModel(
            name='Docentes',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero', models.IntegerField()),
                ('carrera', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.carreras')),
            ],
        ),
        migrations.CreateModel(
            name='Carrera_Docente',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('carrera', models.ManyToManyField(to='core.carreras')),
                ('docente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.docentes')),
            ],
        ),
        migrations.CreateModel(
            name='Carr_Grups',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('carrera', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.carreras')),
                ('grupo', models.ManyToManyField(to='core.grupos')),
            ],
        ),
        migrations.CreateModel(
            name='Alumnos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('matricula', models.CharField(default='0', max_length=4)),
                ('carrera', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.carreras')),
                ('grupo', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.grupos')),
            ],
        ),
        migrations.CreateModel(
            name='Puesto_Depto',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('departamento', models.ManyToManyField(to='core.departamentos')),
                ('puesto', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.puestos')),
            ],
        ),
        migrations.CreateModel(
            name='Administrativos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero', models.IntegerField()),
                ('departamento', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.departamentos')),
                ('puesto', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.puestos')),
            ],
        ),
        migrations.CreateModel(
            name='Rentas',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('referencia', models.CharField(default='0', max_length=16)),
                ('fechaInicio', models.DateTimeField(auto_now_add=True)),
                ('fechaFinal', models.DateTimeField(auto_now_add=True)),
                ('casillero', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.casilleros')),
                ('estado', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.estados')),
                ('periodo', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.periodos')),
            ],
        ),
        migrations.CreateModel(
            name='Pagos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('folio', models.IntegerField()),
                ('fechaPago', models.DateTimeField(auto_now_add=True)),
                ('total', models.FloatField(blank=True, null=True)),
                ('renta', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.rentas')),
            ],
        ),
        migrations.CreateModel(
            name='Ubicaciones',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(default='0', max_length=4)),
                ('piso', models.CharField(default='Steve', max_length=1)),
                ('seccion', models.CharField(default='Steve', max_length=1)),
                ('docencia', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.docencias')),
            ],
        ),
        migrations.AddField(
            model_name='casilleros',
            name='ubicacion',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.ubicaciones'),
        ),
        migrations.CreateModel(
            name='Usuarios',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero', models.IntegerField()),
                ('nombrePila', models.CharField(default='Steve', max_length=128)),
                ('apPaterno', models.CharField(default='Olmos', max_length=64)),
                ('apMaterno', models.CharField(default='Labastida', max_length=64)),
                ('fechaNacimiento', models.DateTimeField(auto_now_add=True)),
                ('numTel', models.CharField(default='666-666-96-98', max_length=16)),
                ('email', models.CharField(default='@gmail.com', max_length=128)),
                ('calle', models.CharField(default='Calle X', max_length=128)),
                ('colonia', models.CharField(default='Refugio', max_length=128)),
                ('numExterior', models.CharField(default='1234', max_length=4)),
                ('fechaRegistro', models.DateTimeField(auto_now_add=True)),
                ('administrativo', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.administrativos')),
                ('alumno', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.alumnos')),
                ('docente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.docentes')),
                ('estadoActual', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.estados')),
                ('genero', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.generos')),
            ],
        ),
        migrations.AddField(
            model_name='rentas',
            name='usuario',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.usuarios'),
        ),
    ]
